Subject: [Fot] Wanted: 1" x 23 spline clutch disc for TR6

From: finishing Touch via Fot <[email-masked]>
Date: Sat, 4 May 2024 11:02:21 -0400

I'm looking for a 1"x23 spline x 8.5 sprung clutch disc for my TR6 race 
car with a close ratio gear box. does anyone have one they could part 
with or know of a place to get one. I'd like to get it by May14th if 
possible. Currently T.S Imported Automotive  is out of them and not sure 
when he can get one. At this point, I'd rather not go the solid route.

Thanks,
Mike Kurtz

_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]